Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class FlowJXPathSelectionListBuilder

    java.lang.Object
      org.apache.cocoon.forms.datatype.FlowJXPathSelectionListBuilder

All Implemented Interfaces:
  SelectionListBuilder

public class FlowJXPathSelectionListBuilder
extends Object
implements SelectionListBuilder

Builds a selection list that will take its values from the flow page data. The items list and, for each item, its value and label, are fetched using JXPath expressions.

If an item has no label, its value is used as the label.

Example:

       <fd:selection-list type="flow-jxpath"
           list-path="selectList" value-path="value" label-path="label"/gt;

Flow script:

       var data = {
          selectList: [{value:3, label:"three"}, {value:4}]
       };
       form.showForm("form.html", data);

Version:
  $Id: FlowJXPathSelectionListBuilder.java 590638 2007-10-31 12:10:53Z giacomo $
See Also:
  `FlowJXPathSelectionList`

Field Summary

Fields inherited from interface org.apache.cocoon.forms.datatype.SelectionListBuilder
`ROLE`

Constructor Summary
`FlowJXPathSelectionListBuilder()`

Method Summary
`SelectionList` | `build(Element selectionListElement, Datatype datatype)`
`void` | `setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowJXPathSelectionListBuilder

    public FlowJXPathSelectionListBuilder()

Method Detail

### build

    public SelectionList build(Element selectionListElement,
                               Datatype datatype)
                        throws Exception

  Specified by:
    `build` in interface `SelectionListBuilder`
  Throws:
    `Exception`

### setProcessInfoProvider

    public void setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.